﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Dal.Models;
using Dal.Contexts;

namespace PatientRecords.Controllers
{
    public class HumanController : Controller
    {
        private PatientRecordsDbContext db = new PatientRecordsDbContext();

        //
        // GET: /Human/

        public ActionResult Index()
        {
            return View(db.Humans.ToList());
        }

        //
        // GET: /Human/Details/5

        public ActionResult Details(int id = 0)
        {
            Human human = db.Humans.Find(id);
            if (human == null)
            {
                return HttpNotFound();
            }
            return View(human);
        }

        //
        // GET: /Human/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Human/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(Human human)
        {
            if (ModelState.IsValid)
            {
                db.Humans.Add(human);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(human);
        }

        //
        // GET: /Human/Edit/5

        public ActionResult Edit(int id = 0)
        {
            Human human = db.Humans.Find(id);
            if (human == null)
            {
                return HttpNotFound();
            }
            return View(human);
        }

        //
        // POST: /Human/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(Human human)
        {
            if (ModelState.IsValid)
            {
                db.Entry(human).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(human);
        }

        //
        // GET: /Human/Delete/5

        public ActionResult Delete(int id = 0)
        {
            Human human = db.Humans.Find(id);
            if (human == null)
            {
                return HttpNotFound();
            }
            return View(human);
        }

        //
        // POST: /Human/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Human human = db.Humans.Find(id);
            db.Humans.Remove(human);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}